"""
These submodules contain the classes for AllenNLP models,
all of which are subclasses of `Model`.
"""

from allennlp.models.model import Model
from allennlp.models.archival import archive_model, load_archive, Archive
from allennlp.models.biattentive_classification_network import BiattentiveClassificationNetwork
from allennlp.models.constituency_parser import SpanConstituencyParser
from allennlp.models.biaffine_dependency_parser import BiaffineDependencyParser
from allennlp.models.biaffine_dependency_parser_multilang import BiaffineDependencyParserMultiLang
from allennlp.models.coreference_resolution.coref import CoreferenceResolver
from allennlp.models.crf_tagger import CrfTagger
from allennlp.models.decomposable_attention import DecomposableAttention
from allennlp.models.event2mind import Event2Mind
from allennlp.models.encoder_decoders.composed_seq2seq import ComposedSeq2Seq
from allennlp.models.encoder_decoders.simple_seq2seq import SimpleSeq2Seq
from allennlp.models.semantic_role_labeler import SemanticRoleLabeler
from allennlp.models.simple_tagger import SimpleTagger
from allennlp.models.esim import ESIM
from allennlp.models.bimpm import BiMpm
from allennlp.models.graph_parser import GraphParser
from allennlp.models.bidirectional_lm import BidirectionalLanguageModel
from allennlp.models.language_model import LanguageModel
from allennlp.models.masked_language_model import MaskedLanguageModel
from allennlp.models.next_token_lm import NextTokenLM
from allennlp.models.basic_classifier import BasicClassifier
from allennlp.models.srl_bert import SrlBert
